Skip to main content
DELETE
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
Deprovision a DigitalOcean cluster
import requests

url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request DELETE \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id} \
--header 'Authorization: Bearer <token>'
{
  "cluster_id": "<string>",
  "errors": [],
  "operation_id": "<string>",
  "resources_marked": 0,
  "success": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Cluster deprovisioned successfully

cluster_id
string<uuid4>
required
errors
string[]
operation_id
string<uuid4> | null
resources_marked
integer
default:0
success
boolean
default:true